
import unittest
from parser.CellData import icelldata_of_dir
from experiments.Baseline import BaselineCellData


class BaselineTester(unittest.TestCase):

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def test_get_burstiness(self):
        for cell in icelldata_of_dir("../data/"):

            baseline = BaselineCellData(cell)

            bursty = baseline.get_burstiness()

            self.assertTrue(bursty <= 1)
            self.assertTrue(bursty >= 0)
